<template>
  <div class="container">
    <component :is="componentVal" @change="changePage"></component>
  </div>
</template>

<script>
import { satelliteIntroduction } from "@/utils/formDatas.js"
import { page, update } from "@/api/website/imageLibrary"

import List from "./list"
import Edit from "./edit"

export default {
  name: "imageLibrary",
  components: {
    List,
    Edit
  },
  data() {
    return {
      componentVal: 'List',
      datas: null
    }
  },
  mounted() {

  },
  methods: {
    changePage(name, val) {

      this.componentVal = name

      this.$nextTick(() => {
          if (!!val) {
            this.$bus.$emit('imageLibrary-edit-renderData', val)
          }
      })




    }
  }
}
</script>

<style lang="scss" scoped>

</style>
